Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCbaseList

## Specification of methods

### WSGIappObjectList method

Form
  WSDbaseList* WSGIappObjectList()
Function
  Returns the global instance of WSCbaseList which is a singleton in an application.
Description
Parameters
  None.
Return value
  Returns the global instance
Notice
  This is a global function (not a method of the class). Do not delete the return value.
Samples

        //update the instances that need updating.
        WSGIappObjectList()->execUpdate();

### getInstance method

Form
  WSCbase* getInstance(char* cname,char* iname)
Function
  Returns the instance by a specified class name and instance name.
Description
  If "WSCbase" is specified as the class name, it seeks all by the specified instance name.
Parameters

  (in)char* cname | class name
  (in)char* iname | instance name

Return value
  Returns the instance
Notice
  If the specified the class name is not "WSCbase", it seeks only the instance which is created as that class. Accordingly, for example, an instance which is created as WSCvbtn (This class inherites WSCvlabel) is not hit as WSCvlabel.
Samples

        //Get an instance which class is WSCvlabel and which name is newvlab_000.
        WSCbase* inst = WSGIappObjectList()->getInstance("WSCvlabel","newvlab_000");

  ### getRemoteInstance method

  Form
    WSCRbase* getRemoteInstance(char* iname)
  Function
    Returns the remote instance by a specified class name and instance name.
  Description
    Returns the pointer (reference) of the remote instances of which "Export" property is True by a specified class name and instance name.
  Parameters

    (in)char* iname | instance name

  Return value
    Returns the remote instance
  Notice
    Requires that wsagent and the process that contains the remote instance is running.
  Samples

          // get the remote instance which name is newvlab_000.
          WSCRbase* remote_inst = WSGIappObjectList()->getRemoteInstance("newvlab_000");
          // access the remote instance...
          if (remote_inst != NULL){
            remote_inst->setProperty(WSNlabelString,"Hello!");
          }

  ### existInstance method

  Form
    WSCbool existInstance(WSCbase* instance)
  Function
    Examines whether the specified instance is valid or deleted.
  Description
  Parameters

    (in)WSbase* instance | the instance

  Return value
    Returns True if it is valid; returns False if it is invalid.
  Notice
  Samples

        void sample(){
          WSCbase* inst = ...//some instance...
          WSCbool exit = WSGIappObjectList()->existInstace(inst);
          if (exit == False){
            //An invalid instance...
          }else{
            //A regular instance...
          }
        }

  ### execUpdate method

  Form
    void execUpdate()
  Function
    Updates the instances requiring updating.
  Description
    Executes update() methods of the instances requiring updating.
  Parameters
    None.
  Return value
    None.
  Notice
  Samples
    Refer to WSGIappObjectList().

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004